<mat-card class="card-container">
  <mat-card-title>{{ image.name }}</mat-card-title>
  <mat-card-subtitle class="subtitle">
    <span>Likes: {{ image.likes }}</span>
    <span>Created: {{ image.createdAt | date }}</span>
  </mat-card-subtitle>

  <div class="image">
    <img [src]="image.imageUrl" alt="Image">
  </div>

  <mat-card-actions>
    <button mat-button (click)="onLike(image.id)">Like</button>
    <button mat-button color="warn" (click)="onDelete(image.id)">Delete</button>
  </mat-card-actions>
</mat-card>
